[metadata]
name = {{ cookiecutter.repo_name }}
version = {{ cookiecutter.project_version }}
description = My package description
long_description = file: README.md
keywords = one, two
license = MIT
license_files = LICENSE

[options]
package_dir =
    =src
packages=find_namespace:

[options.packages.find]
where=src

[options.package_data]
dsd.hydra.module.{{ cookiecutter.package_name }}.config = *.yml

[options.entry_points]
console_scripts =
    {{ cookiecutter.repo_name }} = dsd.hydra.module.{{ cookiecutter.package_name }}.__main__:main


[flake8]
# Rule definitions: http://flake8.pycqa.org/en/latest/user/error-codes.html
# D203: 1 blank line required before class docstring
# W503: line break before binary operator
exclude = venv*,__pycache__,node_modules,bower_components,migrations,src/conf.py
ignore = D203,W503
max-complexity = 9
max-line-length = 88
extend-ignore = E203
